updatedb(8)

NAME
udpatedb - update a database for mlocate

SYNOPSIS

updatedb [OPTION]...

DESCRIPTION
updatedb creates or updates a database used by locate(1). If the database already exists, its data is reused to avoid rereading directories that have not changed.

updatedb is usually run daily by cron(8) to update the default database.

EXIT STATUS
updatedb returns with exit status 0 on success, 1 on error.

OPTIONS
The PRUNEFS and PRUNEPATHS variables, which are modified by some of the options, are documented in detail in updatedb.conf(5).

-f, --add-prunefs FS
    Add entries in white-space-separated list FS to PRUNEFS.

-e, --add-prunepaths PATHS
    Add entries in white-space-separated list PATHS to PRUNEPATHS.

-U, --database-root PATH
    Store only results of scanning the file system subtree rooted at PATH to the generated database. The whole file system is scanned by default.

    PATH must be an absolute path name, but it may contain symbolic links; locate(1) will output the entries using the exact spelling of PATH.

-h, --help
    Write a summary of the available options to standard output and exit sucessfully.

-o, --output FILE
    Write the database to FILE instead of using the default database.

--prunefs IFS
    Set PRUNEFS to IFS, overriding the config file.

--prunepaths IPATHS
    Set PRUNEPATHS to IPATHS, overriding the config file.

-l, --require-visibility IFLAG
    Set the “require file visibility before reporting it” flag in the generated database to FLAG.

    If FLAG is 0 or no, locate(1) outputs the database entries even if the user running locate(1) could not have read the directory necessary to find out the file described by the database entry.

    If FLAG is 1 or yes (the default), locate(1) checks the permissions of parent directories of each entry before reporting it to the invoking user. To make the file existence truly hidden from other users, the database group is set to mlocate and the database permissions prohibit reading the database by users using other means than locate(1), which is sgid mlocate.

-v, --verbose
    Output path names of files to standard output, as soon as they are found.

-V, --version
    Write information about the version and licence of locate on standard output and exit sucessfully.

FILES

/opt/etc/updatedb.conf
    A configuration file. See updatedb.conf(5).

/opt/var/mlocate/mlocate.db
    The database updated by default.

SECURITY
Databases built with --require-visibility no allow users to find names of files and directories of other users, which they would not otherwise be able to do.

NOTES
The accompanying locate(1) utility was designed to be compatible to slocate and attempts to be compatible to GNU locate where possible. This is not the case for updatedb.

AUTHOR
Miloslav Trmac <mitr@redhat.com>

SEE ALSO
locate(1), mlocate.db(5), updatedb.conf(5)